com.ihr.xbrl.om

## Interface Thinable

- All Known Implementing Classes:
    AutoFill, CalculationLinkbase, DefinitionLinkbase, FlMessage, FootnoteLinkbase, FormulaLinkbase, GenericLinkbase, LabelLinkbase, MapperContext2, MapperContext3, MapperContextBase, MapperPeriod2, MapperPeriod3, MapperPeriodBase, OtherLinkbase, PresentationLinkbase, ReferenceLinkbase, RenderHints, StaticRole, VersionLinkbase, XBRLAncestorFilter, XBRLAndFilter, XBRLArc, XBRLArcroleRef, XBRLArcroleType, XBRLAspectCoverFilter, XBRLAspectNode, XBRLAssertion, XBRLAttribute, XBRLBreakdown, XBRLClosedDefinitionNode, XBRLConceptBalanceFilter, XBRLConceptCustomAttributeFilter, XBRLConceptDataTypeFilter, XBRLConceptFilterAbstract, XBRLConceptNameFilter, XBRLConceptPeriodTypeFilter, XBRLConceptRelationFilter, XBRLConceptRelationshipNode, XBRLConceptSubstitutionGroupFilter, XBRLConsistencyAssertion, XBRLContext, XBRLCustomFunction, XBRLCustomFunctionImplementation, XBRLDefinitionNode, XBRLDimensionFilterAbstract, XBRLDimensionRelationshipNode, XBRLDimensionsContainer, XBRLDocument, XBRLDocumentation, XBRLEntity, XBRLExistenceAssertion, XBRLExplicitDimensionFilter, XBRLExtendedLink, XBRLFact, XBRLFactItem, XBRLFactNonNumeric, XBRLFactNumeric, XBRLFactTuple, XBRLFormula, XBRLFormulaFilterBase, XBRLFormulaResource, XBRLGeneralFilter, XBRLGeneralMeasuresFilter, XBRLIdentifierFilter, XBRLImport, XBRLInclude, XBRLInstance, XBRLItem, XBRLLabelResource, XBRLLinkbase, XBRLLinkbaseRef, XBRLLocationFilter, XBRLLocator, XBRLMatchAbstractFilter, XBRLMatchConceptFilter, XBRLMatchDimensionFilter, XBRLMatchEntityIdentifierFilter, XBRLMatchLocationFilter, XBRLMatchNonXDTScenarioFilter, XBRLMatchNonXDTSegmentFilter, XBRLMatchPeriodFilter, XBRLMatchScenarioFilter, XBRLMatchSegmentFilter, XBRLMatchUnitFilter, XBRLMeasure, XBRLOpenDefinitionNode, XBRLOrFilter, XBRLParentFilter, XBRLPeriod, XBRLPeriodEndFilter, XBRLPeriodFilter, XBRLPeriodFilterAbstract, XBRLPeriodForeverFilter, XBRLPeriodInstantDurationFilter, XBRLPeriodInstantFilter, XBRLPeriodStartFilter, XBRLPointerOfARelationship, XBRLRegExpIdentifierFilter, XBRLRegExpSchemeFilter, XBRLRelationship, XBRLRelationshipNode, XBRLRelativeFilter, XBRLResource, XBRLResultMessage, XBRLRoleAndArcroleTypes, XBRLRoleRef, XBRLRoleType, XBRLRuleNode, XBRLScenario, XBRLScenarioFilter, XBRLSegment, XBRLSegmentFilter, XBRLSiblingFilter, XBRLSimpleLink, XBRLSingleMeasureFilter, XBRLSpecificIdentifierFilter, XBRLSpecificSchemeFilter, XBRLTable, XBRLTableResource, XBRLTaxonomy, XBRLTuple, XBRLTypedDimensionFilter, XBRLUnit, XBRLUsedOn, XBRLValueAssertion, XBRLValueNilFilter, XBRLValuePrecisionFilter, XBRLVariableEqualityDefinition, XBRLVariableFact, XBRLVariableGeneral, XBRLVariableParameter, XBRLVariablePrecondition, XBRLVariableResource, XBRLVariableSetResource, XLinkElement, XMLDocumentURI, XMLElementDefinition, XMLFragment

      public interface Thinable

  Classes implementing this interface must implement a method for reducing the memory footprint.
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `thin()` Removes from memory all objects that can be obtained back from the surrounding XML nodes or can be calculated again from other sources.

- - ### Method Detail

    - #### thin

          void thin()

      Removes from memory all objects that can be obtained back from the surrounding XML nodes or can be calculated again from other sources. Calling this method should reduce the memory footprint of this node